> ## Documentation Index
> Fetch the complete documentation index at: https://developer.breakcold.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Lead

### Updating Lead Custom Attributes

To update attributes for a lead, include an `attributes` object in the request body. Each key in the `attributes` object represents an attribute ID, and its corresponding value is the new value for that attribute.
provider a wrong value for an attribute will result in an error response.

Example:

```json theme={null}
{
  "data": {
    "attributes": {
      "attribute-id-1": "New Value 1",
      "attribute-id-2": 42,
      "attribute-id-3": true,
      "select-attribute-id": "option-id-1",
      "multiselect-attribute-id": ["option-id-2", "option-id-3"]
    }
  }
}
```


## OpenAPI

````yaml PATCH /leads/{id}
openapi: 3.0.3
info:
  title: Breakcold OpenAPI
  version: 3.1.0
servers:
  - url: https://api.breakcold.com/rest
security: []
externalDocs:
  url: https://developer.breakcold.com
paths:
  /leads/{id}:
    patch:
      tags:
        - Leads
      summary: Update a lead
      operationId: lead-update
      parameters:
        - in: path
          name: id
          schema:
            type: string
          required: true
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                data:
                  type: object
                  properties:
                    company:
                      type: string
                      nullable: true
                    company_role:
                      type: string
                      nullable: true
                    facebook_username:
                      type: string
                      nullable: true
                    youtube_username:
                      type: string
                      nullable: true
                    instagram_username:
                      type: string
                      nullable: true
                    telegram_username:
                      type: string
                      nullable: true
                    whatsapp_username:
                      type: string
                      nullable: true
                    city:
                      type: string
                      nullable: true
                    phone:
                      nullable: true
                      anyOf:
                        - type: string
                        - type: number
                    icebreaker:
                      type: string
                      nullable: true
                    icebreaker_2:
                      type: string
                      nullable: true
                    icebreaker_3:
                      type: string
                      nullable: true
                    icebreaker_4:
                      type: string
                      nullable: true
                    contract_value:
                      nullable: true
                      anyOf:
                        - type: string
                        - type: number
                    id_linkedin:
                      type: string
                      nullable: true
                    contract_currency:
                      type: string
                      enum:
                        - USD
                        - EUR
                        - JPY
                        - GBP
                        - AUD
                        - CAD
                        - CHF
                        - CNY
                        - HKD
                        - NZD
                        - INR
                        - PLN
                    contract_name:
                      type: string
                      nullable: true
                    first_name:
                      type: string
                      nullable: true
                    linkedin_url:
                      type: string
                      nullable: true
                    linkedin_company_url:
                      type: string
                      nullable: true
                    twitter_name:
                      type: string
                      nullable: true
                    twitter_company_name:
                      type: string
                      nullable: true
                    email_bounce_score:
                      type: number
                      nullable: true
                    last_name:
                      type: string
                      nullable: true
                    id_list:
                      type: string
                      nullable: true
                    email:
                      type: string
                      nullable: true
                    is_company:
                      type: boolean
                      nullable: true
                    is_contract:
                      type: boolean
                      nullable: true
                    avatar_url:
                      type: string
                      nullable: true
                    website_url:
                      type: string
                      nullable: true
                    ai_enabled:
                      type: boolean
                      nullable: true
                    status_disconnect:
                      type: array
                      items:
                        type: string
                    status_connect:
                      type: array
                      items:
                        type: string
                    tags_disconnect:
                      type: array
                      items:
                        type: string
                    tags_connect:
                      type: array
                      items:
                        type: string
                    owners_disconnect:
                      type: array
                      items:
                        type: string
                    owners_connect:
                      type: array
                      items:
                        type: string
                    lists_connect:
                      type: array
                      items:
                        type: string
                    lists:
                      anyOf:
                        - type: array
                          items:
                            type: string
                        - type: string
                    status:
                      anyOf:
                        - type: array
                          items:
                            type: string
                        - type: string
                    tags:
                      anyOf:
                        - type: array
                          items:
                            type: string
                        - type: string
                    owners:
                      anyOf:
                        - type: array
                          items:
                            type: string
                        - type: string
                    attributes:
                      type: object
                      additionalProperties: {}
                    is_draft:
                      type: boolean
              required:
                - data
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    format: uuid
                  email:
                    type: string
                    nullable: true
                  company:
                    type: string
                    nullable: true
                  phone:
                    type: string
                    nullable: true
                  linkedin_url:
                    type: string
                    nullable: true
                  linkedin_company_url:
                    type: string
                    nullable: true
                  facebook_username:
                    type: string
                    nullable: true
                  youtube_username:
                    type: string
                    nullable: true
                  instagram_username:
                    type: string
                    nullable: true
                  telegram_username:
                    type: string
                    nullable: true
                  whatsapp_username:
                    type: string
                    nullable: true
                  search_query:
                    type: string
                    nullable: true
                  created_at:
                    type: string
                  updated_at:
                    type: string
                    nullable: true
                  first_name:
                    type: string
                    nullable: true
                  icebreaker:
                    type: string
                    nullable: true
                  last_name:
                    type: string
                    nullable: true
                  website_url:
                    type: string
                    nullable: true
                  timezone:
                    type: string
                    nullable: true
                  city:
                    type: string
                    nullable: true
                  company_role:
                    type: string
                    nullable: true
                  twitter_name:
                    type: string
                    nullable: true
                  avatar_url:
                    type: string
                    nullable: true
                  icebreaker_2:
                    type: string
                    nullable: true
                  icebreaker_3:
                    type: string
                    nullable: true
                  icebreaker_4:
                    type: string
                    nullable: true
                  email_bounce_score:
                    type: integer
                    nullable: true
                  twitter_company_name:
                    type: string
                    nullable: true
                  is_company:
                    type: boolean
                  is_contract:
                    type: boolean
                  is_tracked:
                    type: boolean
                    nullable: true
                  is_deleted:
                    type: boolean
                  is_deleted_at:
                    type: string
                    nullable: true
                  order:
                    type: integer
                  contract_value:
                    type: integer
                    nullable: true
                  contract_currency:
                    type: string
                    nullable: true
                  contract_name:
                    type: string
                    nullable: true
                  score:
                    type: integer
                    nullable: true
                  ai_enabled:
                    type: boolean
                  ai_enabled_at:
                    type: string
                    nullable: true
                  ai_summary:
                    type: string
                    nullable: true
                  ai_profile:
                    type: string
                    nullable: true
                  is_draft:
                    type: boolean
                  last_interaction_at:
                    type: string
                    nullable: true
                  id_linkedin_company:
                    type: string
                    nullable: true
                  id_linkedin:
                    type: string
                    nullable: true
                  id_space:
                    type: string
                    nullable: true
                  usersId:
                    type: string
                    nullable: true
                required:
                  - id
                  - email
                  - company
                  - phone
                  - linkedin_url
                  - linkedin_company_url
                  - facebook_username
                  - youtube_username
                  - instagram_username
                  - telegram_username
                  - whatsapp_username
                  - search_query
                  - created_at
                  - updated_at
                  - first_name
                  - icebreaker
                  - last_name
                  - website_url
                  - timezone
                  - city
                  - company_role
                  - twitter_name
                  - avatar_url
                  - icebreaker_2
                  - icebreaker_3
                  - icebreaker_4
                  - email_bounce_score
                  - twitter_company_name
                  - is_company
                  - is_contract
                  - is_tracked
                  - is_deleted
                  - is_deleted_at
                  - order
                  - contract_value
                  - contract_currency
                  - contract_name
                  - score
                  - ai_enabled
                  - ai_enabled_at
                  - ai_summary
                  - ai_profile
                  - is_draft
                  - last_interaction_at
                  - id_linkedin_company
                  - id_linkedin
                  - id_space
                  - usersId
                additionalProperties: true
        '400':
          description: Invalid input data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.BAD_REQUEST'
        '401':
          description: Authorization not provided
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.UNAUTHORIZED'
        '403':
          description: Insufficient access
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.FORBIDDEN'
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.NOT_FOUND'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.INTERNAL_SERVER_ERROR'
      security:
        - Authorization: []
components:
  schemas:
    error.BAD_REQUEST:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Invalid input data
        code:
          type: string
          description: The error code
          example: BAD_REQUEST
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Invalid input data error (400)
      description: The error information
      example:
        code: BAD_REQUEST
        message: Invalid input data
        issues: []
    error.UNAUTHORIZED:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Authorization not provided
        code:
          type: string
          description: The error code
          example: UNAUTHORIZED
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Authorization not provided error (401)
      description: The error information
      example:
        code: UNAUTHORIZED
        message: Authorization not provided
        issues: []
    error.FORBIDDEN:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Insufficient access
        code:
          type: string
          description: The error code
          example: FORBIDDEN
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Insufficient access error (403)
      description: The error information
      example:
        code: FORBIDDEN
        message: Insufficient access
        issues: []
    error.NOT_FOUND:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Not found
        code:
          type: string
          description: The error code
          example: NOT_FOUND
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Not found error (404)
      description: The error information
      example:
        code: NOT_FOUND
        message: Not found
        issues: []
    error.INTERNAL_SERVER_ERROR:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Internal server error
        code:
          type: string
          description: The error code
          example: INTERNAL_SERVER_ERROR
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Internal server error error (500)
      description: The error information
      example:
        code: INTERNAL_SERVER_ERROR
        message: Internal server error
        issues: []
  securitySchemes:
    Authorization:
      type: apiKey
      in: header
      name: X-API-KEY

````